Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007506opensim[GRID] Hypergridpublic2015-03-17 07:062015-08-22 04:27
Reporteraiaustin 
Assigned To 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusnewResolutionopen 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007506: HG travel shows almost blank arrival region or grey viewer screen and crashes viewer
DescriptionI am doing tests of HG transfers between grids and on trying to return to the home grid or go between two foreign grids I get a pale blue patch instead of the normal terrain, just a few objects show up. This is not the sometimes flashing blue water level patch given when Object-Object-Occlusion rendering is on with some graphics cards. The adjacent regions show fine, and their underwater terrain can be seen showing to the sides of the light blue patch. See 2015-03-17-25912-Region-Shows-as-Blue-Patch.png

If I move the avatar, the viewer crashes (most times).

On some HG transfers, almost as soon as the transfer attempt starts, the viewer goes grey and indicates a crash (with the view IM or Quit buttons), yet the sending region thinks it has initiated the transfer and the receiving grid region thinks its incoming. The sending region shows a message such as (in his case from an OSGrid sending region)..

14:42:03 - [LLUDPSERVER]: No packets received from root agent of Ai.Austin @ai.vue.ed.ac.uk for 60000ms in Vue-Port. Disconnecting.

I am seeing this on both Openvue and Ailand grids on separate servers and with transfers to and from OSGrid as well as between the two grids.

I noticed this on changing to r/25912 (16-Mar-2015), but it also is the same when I reverted to r/25893, the last working version I have been using.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm 4.6.9 OpenSim
Attached Filespng file icon 2015-03-17-25912-Region-Shows-as-Blue-Patch.png [^] (338,148 bytes) 2015-03-17 07:06
txt file icon 2015-03-19-grey-crash-test-1.txt [^] (10,761 bytes) 2015-03-19 03:28 [Show Content]
jpg file icon 2015-03-19-grey-crash-screen-1.jpg [^] (89,435 bytes) 2015-03-19 03:42


jpg file icon 2015-03-19-grey-crash-screen-2.jpg [^] (112,712 bytes) 2015-03-19 03:42


txt file icon grid-xloc-yloc-identical-logs.txt [^] (19,408 bytes) 2015-08-22 04:27 [Show Content]

- Relationships

-  Notes
(0027874)
nebadon (administrator)
2015-03-17 08:06

This kind of sounds like the 4096 region bug, are you sure you are running the latest ini files?
(0027875)
aiaustin (developer)
2015-03-17 08:17
edited on: 2015-03-17 08:29

It does look very much like that visually. But I thought that was fixed long ago Neb? The regions on different grids I was TPing between were all in fact within 4096,4096 of one another for their Xlocs,Ylocs anyway.

I just checked though and my .ini files all look fine and are the same as used for the last few weeks.. I keep them up to date with changes in Dev Master. These tests are with latest r/25912 but r/25893 also is same when I reverted. I am not sure if its worth going further back yet.

I have noticed a few things once I get back to a region on my grid without the viewer crashing (going immediately grey and logging user out), but when it still runs and is showing the blue patch. I see just a few objects - the same ones each time. If I TP to another region on that grid that shows fine, but TPing back to the region where the blue patch was still shows it as a blue patch. Very odd.

(0027876)
aiaustin (developer)
2015-03-17 09:31
edited on: 2015-03-17 09:46

There is an odd message... I am not sure if it really shows a region's xloc,yloc, but I see this on the logs of my grid home region (AiLand region on Ailand grid located at 6400,6400 on AiLand grid) as it tried to send an avatar to one of our own addon regions on OSGrid (Vue-Port on OSGrid located at 6400,6400 on OSGrid) and that leads to an immediate grey viewer crash... note the ="at 14992,0" - what is that?

[ENTITY TRANSFER MODULE]: Determined that region Vue-Port at 14992,0
needs new child agent for agent Ai Austin from AiLand

I am seeing messages like this after the crashes...

16:33:23 - [LLUDPSERVER]: No packets received from root agent of Ai Austin for 60000ms in AiLand. Disconnecting.
16:33:23 - [LLUDPSERVER]: No packets received from child agent of Ai Austin for 60000ms in OpenVCE. Disconnecting.

(0027877)
zadark (reporter)
2015-03-17 10:34
edited on: 2015-03-17 10:39

I have seen this issue when HG TP between 2 grids, and attempt to return to the originating grid before that region has issued :-
[ENTITY TRANSFER STATE MACHINE]: Agent xxxxxx-xxxx-etc cleared from transit in Welcome'

There is a 15 second delay at the originating region between [SCENE PRESENCE]: Closing child agents. and [ENTITY TRANSFER STATE MACHINE]: time enough for fast systems to rez the scene.

(0027878)
nebadon (administrator)
2015-03-17 10:36

aiaustin are both regions on OSgrid and your grid your own regions? or is this happening to all regions you visit on OSgrid?
(0027881)
aiaustin (developer)
2015-03-17 12:14
edited on: 2015-03-17 13:13

Yes Neb... I was testing between our own hosted add on OSGrid regions and two separate grids (Openvue and AiLand) all served by systems on our own network but separate servers.. 5 in total.

I gave checked all host names in .ini and region.ini files, and have rebooted all the servers, and also cleared the viewer (Firestorm 4.6.9) cache.

Its not an OSGrid issue though, as I also have failures just moving between AiLand and Openvue grids.

It does not seem to fail every time, so I don't suslect a change in the firewall arrangements, but I cannot yet see a pattern, and this has not occured before today. Very odd.

(0027883)
nebadon (administrator)
2015-03-17 12:30

ok the only reason I ask is because I have seen this occur before because i accidently reused a region UUID on the 2 different grids, and it really confused things.
(0027884)
aiaustin (developer)
2015-03-17 12:58

Thanks for the thought Neb... I just checked though and all regions on all grids we host have distinct UUIDs.
(0027885)
aiaustin (developer)
2015-03-17 13:32
edited on: 2015-03-17 13:40

In further testing, I am taking more care to await the completion of the transfer message noted by zadark.. like this or the equivalent on each grid/region tested...

[ENTITY TRANSFER STATE MACHINE]: Agent e24a9015-f5ca-452b-8c95-d32e34cb9d64 cleared from transit in AiLand

I am moving between two grid/regions initially...
     hop://virtual.aiai.ed.ac.uk:8002/Openvue [^] (home grid)
     hop://ai.vue.ed.ac.uk:8002/AiLand [^]

I am able to go back and forth between the above many times with no crashes now... but on the very first visit to an add-on OSGrid region it instantly crashed (went to the dark grey still image and View IM/Quit buttons in the viewer)...

     hop://login.osgrid.org/Vue-Port [^]

I then wondered if the failing/crashing destination grid/sim could be "stuck" in a bad state (or some of the nearby regions might be in such a stuck state) after a poor (crashing) transfer, so after restarting the OSGrid regions, I tried again... and now hops to and from OSGrid add-on regions also work so long as I wait the 15 or more seconds until the [ENTITY TRANSFER STATE MACHINE]: cleared messasage appears.

Next step is to find whether I can crash consistently by attempting a transfer before the [ENTITY TRANSFER STATE MACHINE]: cleared message appears on the sending grid. Is it a new issue that you have to wait... I don't recall ever being aware of that before.. did the system simply delay the transfer until it knew it was ready.. and has something altered?

(0027888)
nebadon (administrator)
2015-03-18 00:54
edited on: 2015-03-18 00:55

I can tell you right now this > hop://login.osgrid.org/Vue-Port [^] is invalid, its not surprising you would have trouble with this, the proper address would be hop://hg.osgrid.org:80/Vue-Port [^]

(0027891)
aiaustin (developer)
2015-03-18 03:19
edited on: 2015-03-18 03:51

Interesting.. and I do realise that hg.osgrid.org:80 is the valid address.. but I now see where this keeps arising... try this... all using only OSGrid and not doing HG travel at all..

In Firestorm 4.6.9 for example, but its been like this for ages... log on with an OSGrid avatar to an OSGrid region... and click the top address/plot location and it gives you the current address. You can see it says.. e.g.

   hop://login.osgrid.org/Vue-Port/128/128/26 [^]

Now teleport to another OSGrid region and you will see that the return address posted in nearby chat is also

  hop://login.osgrid.org/Vue-Port/128/128/26 [^]

But as you note, clicking on it does not work anyway.

I assume the viewer is simply using the loginURI rather than a preferred Hypergrid address. maybe this is something that would need a bit of coordination between the viewer folks and OpenSim core? I will make a note of this in the Firestorm JIRA on hop:// handling.

(0027892)
nebadon (administrator)
2015-03-18 03:29

I would say this is a viewer bug, especially since hop:// has never really been formally adopted across all viewers, all I can say is that is the wrong address, trying to teleport without a port will always end in failure we had this problem in the past with Hypegrid on grids using port 80, viewers will want to assume no port and it will fail, the viewer expects a port even if its port 80 it must be specified as such otherwise it will receive a null.
(0027893)
aiaustin (developer)
2015-03-18 03:39

Noted Neb.. I have seen this in testing and have some hop:// test links and reports on this at

http://www.aiai.ed.ac.uk/~ai/hg.html [^]

I am still trying to pin down the core issue reported here of viewer crashing. its not as simple as just waiting for the [ENTITY TRANSFER STATE MACHINE]: cleared message it seems.
(0027894)
aiaustin (developer)
2015-03-18 08:45

More on this issue - or more likely two issues...

a) If I HG teleport out from one grid to another grid and then return home or teleport back to the same region/server within the time before the sending region issues the [ENTITY TRANSFER STATE MACHINE]: Agent cleared from transit message, the avatar does arrive but the terrain is not present and most objects are not loaded.

b) I was beginning to think there may be a separate issue that leads to the "grey screen" crash in the (Firestorm 4.6.9) viewer when I teleported between grids where (as suggested helpfully by Nebadon) I had one region with a UUID on OSGrid that was identical to one on my home grid (an infrequently mounted "Sea" region which had the repeat UUID accidentally after re-establishing OSGrid region on their restart a few weeks ago. This may be one cause of the crash of the viewer (causing the grey screen with "View IM/Chat" and Quit" buttons).

I have corrected the incorrect UUID on the affected OSGrid region and started do more thorough tests after a complete reboot of all our regions and our two grids. I cleared the viewer cache too. But unfortunately that's mot the cause of the grey screen crash. So I am still working on the cause.

Both seem to be serious issues that are not under the control of a normal user in a viewer as they cannot see what is happening and have no control over when the ENTITY TRANSFER STATE MACHINE] timeout period has elapsed to know they can safely move back home.
(0027895)
smxy (reporter)
2015-03-18 08:55

If you look at the code in Region\CoreModules\Framework\EntityTransfer\EntityTransferModule.cs, you will see that there is a 2 second delay enforced (line 1088), for TP protocol v1, before an avatar is allowed to TP back to where they came from. For TP protocol v2, that delay is 15 seconds (line 1256; I swear it was much longer, at one point, but couldn't find it, in the logs, which is why I removed my earlier comment).

In recent testing, I set up automated teleports and was able to do more than a couple of thousand continuous teleports, as long as I waited 30 seconds in between.
(0027896)
nebadon (administrator)
2015-03-18 09:30

ah Great AiAustin I really had a feeling it was the duplicate UUID thing, this can really throw a monkey wrench into the gears, I experienced the same thing between OSCC and Avacon grid a few weeks ago, its easy to do when you are reusing ini files.
(0027898)
aiaustin (developer)
2015-03-18 15:17
edited on: 2015-03-18 15:19

Neb, I think the duplicate UUID problem leads to the 4096 bug style missing terrain blue patch on arrival view with adjacent regions looking okay. I am not seeing that at all now in my testing now I have no duplicate UUID regions across Openvue grid, Ailand grid and our OSGrid add on regions.

I am also not trying fast teleports but waiting in all cases for the sending grid/region to give the agent cleared message, so as not to have that issue.

But I am still getting the grey screen crashed viewer when moving between OSGrid regions (but not Wright Plaza) and our other grids, even on a very first movement.. not a repeated one.

All our grids and OSGrid addon regions have been rebooted, and viewer cache was cleared... could there be an issue with caching at the OSGrid sever end having the old duplicated UUIDs still I wonder? How long would they exist before being purged? They do not appear on the region list on the owner avatar osgrid.org web site.

(0027899)
aiaustin (developer)
2015-03-19 03:28

Using Windows 8.1 recent r/25912 on AiLand grid and latest OSGrid addon region distribution (r/25914). After double checking I have unique UUIDs everywhere for regions, I have cut this right down now.. to just test one home region on AiLand grid with no other regions mounted.. and one add on region on OSGrid (Vue-Port). All restarted fresh and with a Firestorm 4.6.9 viewer with cache cleared. Just logging on with a native avatar on AiLand grid and then using a teleport via an osTeleportAgent object to "http://hg.osgrid.org:80 [^] Vue-Port" so as to not hit any potential hop:// issues. I immediately crash the viewer to its grey state on the very first teleport, so its not an issue of waiting to be allowed to teleport home more back that I am now getting.

I cannot see much wrong with the various coordinated logs. On the receiving OSGrid region console I get a few messages like this...

10:04:09 - [HGUUIDGatherer]: Failed to fetch asset c541c47f-e0c0-058b-ad1a-d6ae3a4584d9 from http://ai.vue.ed.ac.uk:8002/ [^]

Then I see one message like this...

10:05:04 - [LLUDPSERVER]: No packets received from root agent of Ai.Austin @ai.vue.ed.ac.uk for 60000ms in Vue-Port. Disconnecting.

But the viewer has at this stage crashed and shows the grey static image and "View IM/Chat" and "Quit" buttons.

Logs of sending AiLand grid Robust and region consoles and destination OSGrid region console are attached as "2015-03-19-grey-crash-test-1.txt".

I am continuing to explore this, but if anyone has any clues if they have time to look at the coordinated time logs any pointers would be appreciated.
(0027900)
aiaustin (developer)
2015-03-19 03:42
edited on: 2015-03-19 04:08

To reduce the potential issues further I have removed all attachments and HUDs from the avatar and only am wearing the Ruth basic body parts, pants and shirt...

The viewer screen goes to its "grey" state when in the "Contacting new region." part. logged out of Ailand. You have been disconnected from the region you were in." See attached 2015-03-19-grey-crash-screen-1.jpg

As far as I can see that coincides with the receiving/destination OSGrid console saying "[LLUDPSERVER]: No packets received from root agent of Ai.Austin @ai.vue.ed.ac.uk for 60000ms in Vue-Port. Disconnecting."

I note that this occurs within a few seconds of starting the teleport/transfer - NOTHING like 60000ms.. so that message is definitely problematic and being issued in less than 5 seconds of an incoming teleport request.

After the contacting new region bar times out... the message remaining on screen is "You have been logged out of Ailand. You have been disconnected from the region you were in." See attached 2015-03-19-grey-crash-screen-2.jpg

If I try a teleport from AiLand grid to Wright Plaza that works fine, so surely this has to be a configuration issue on my OSGrid setup (but where?) or a hang over and something nasty cached from when I had confused region UUIDs?

(0027901)
aiaustin (developer)
2015-03-19 04:43
edited on: 2015-03-19 04:43

It seems that a teleport from a region located on one grid at an identical xloc,yloc to a region on another grid now causes the "grey screen" crash. We used to have this issue many years ago but it (I think) has not been a problem for some time. I could not see recent GIT code commits that seemed related to changing this but others may know if varregion adjustments or some changes might have had his side effect?

I moved the OSGrid regions to an alternative xloc,yloc base that did not over lap with the regions on the other ghrids I was using and teleports between the grids and OSGrid regions now work on initial tests... more thorough tests to now take place.

Even with that (maybe) fixed, I can induce (everytime) the blue patch/4096 bug look for a region I try to TP back to if I don't wait for this message..

[ENTITY TRANSFER STATE MACHINE]: Agent ... cleared from transit

and if I then try a further TP on the grid where that occurs I crash the viewer (Firestorm 4.6.9) every time. The viewer seems to let me try a TP back immediately and does not appear to be enforcing any wait.

(0027902)
nebadon (administrator)
2015-03-19 04:45

Interesting, I was actually going to suggest that as well, but also thought that was fixed, but now I think more about it I am not sure it actually was ever fixed, my memory is cloudy on this and I can not be certain now. and yes Quick teleport in and out is a known problem that is not necessarily new.
(0027903)
aiaustin (developer)
2015-03-19 06:50
edited on: 2015-03-19 06:53

Summary to assist others who may have viewer crashes, "grey screen" or missing terrain and region contents on arrival region after Hypergrid teleports...

a) If a region UUID is not unique but may have been accidentally reused on the grids involved that can cause missing terrain on the arrival region or on returning back to the original grid/region. Fix is to save OAR, create a new region with unique UUID on one of the grids and load OAR back.

b) If a region on one grid is at an xloc,yloc that is identical to a region on a second grid and you try to teleport directly between them that can crash the viewer giving the "grey screen" effect. Unless fixed in OpenSim code, the work around is to place all regions under your own control at distinct xloc,ylocs zones. [A check may be needed to see if this only applies if one of the grids involved is using older HG protocols]

c) Teleport out from one grid to another, and then a teleport back within a short time can lead to the home arrival region showing with missing terrain and objects. It appears that until the original home grid issues a server side "[ENTITY TRANSFER STATE MACHINE]: Agent ... cleared from transit" message (which is sent after a delay) a teleport back home may fail in this way. Workround is always to wait some time before trying to teleport back to the home grid.

-----
An outstanding question is why a message of form "[LLUDPSERVER]: No packets received from root agent of Ai Austin for 60000ms in AiLand. Disconnecting" is shown within a few seconds of teleporting into a region that has issue (b).

(0027906)
aiaustin (developer)
2015-03-20 08:38
edited on: 2015-08-21 01:49

As a check of the grey screen and viewer crash issue, I deliberately set some test regions on one of our Openvue grid (Windows 8.1 r/25912) to have xloc,yloc locations which were known to be the same as those of regions on two other grids but which have verified different region UUIDs...

a) AiLand grid Ailand region at 6400,6400 (Windows 8.1 r/25912)

b) OSGrid grid Vue-Port add-on region at 6400,6400 (Windows 8.1 r/25914)

In BOTH cases as soon as I teleport, within a few seconds, I get the viewer "grey screen" crash.

Is this something that was previously fixed and had reappeared or have I just been lucky not to hit it until recently with OSGrid coming back on line and me using the same block of xloc,yloc areas when I restored those regions?

It surely is a major issue especially as people might retain the console create region defaults offered (1000,1000) when establishing regions on their own grids or standalones.

(0029352)
aiaustin (developer)
2015-08-21 02:07
edited on: 2015-08-21 02:07

The "grey screen" viewer crash bug is definitely still present in the latest OpenSim dev master and Firestorm 4.7.3 (47323) SL+OS 64 bit.

Reported on Firestorm JIRA as http://jira.phoenixviewer.com/browse/FIRE-16729 [^]

Teleport between two OpenSim grids to a region which happens to be located at the same xloc,yloc position on the grid map on both grids leads to Firestorm "grey screen" crash.

(0029356)
aiaustin (developer)
2015-08-22 04:27

The issue of a grey screen crash on teleporting between two OpenSim grids where the source and destination region are on the same xloc,yloc location occurs on both Firestorm 4.7.3 (47323) and Singularity 1.8.6 (6157) almost instantly when the teleport is attempted.

The console logs for the source and destination region servers continue to look like they are trying to make the transfers.... see attached file "grid-xloc-yloc-identical-logs.txt"

- Issue History
Date Modified Username Field Change
2015-03-17 07:06 aiaustin New Issue
2015-03-17 07:06 aiaustin File Added: 2015-03-17-25912-Region-Shows-as-Blue-Patch.png
2015-03-17 07:34 aiaustin Summary Return to hoe grid from HG travel shows almost blankarrival region and crashes viewer => Return to home grid from HG travel shows almost blank arrival region and crashes viewer
2015-03-17 07:36 aiaustin Description Updated View Revisions
2015-03-17 07:47 aiaustin Description Updated View Revisions
2015-03-17 07:53 aiaustin Summary Return to home grid from HG travel shows almost blank arrival region and crashes viewer => HG travel shows almost blank arrival region and crashes viewer
2015-03-17 07:53 aiaustin Description Updated View Revisions
2015-03-17 07:53 aiaustin Description Updated View Revisions
2015-03-17 08:06 nebadon Note Added: 0027874
2015-03-17 08:17 aiaustin Note Added: 0027875
2015-03-17 08:18 aiaustin Note Edited: 0027875 View Revisions
2015-03-17 08:29 aiaustin Note Edited: 0027875 View Revisions
2015-03-17 08:29 aiaustin Note Edited: 0027875 View Revisions
2015-03-17 09:31 aiaustin Note Added: 0027876
2015-03-17 09:35 aiaustin Note Edited: 0027876 View Revisions
2015-03-17 09:45 aiaustin Note Edited: 0027876 View Revisions
2015-03-17 09:46 aiaustin Note Edited: 0027876 View Revisions
2015-03-17 09:46 aiaustin Note Edited: 0027876 View Revisions
2015-03-17 10:34 zadark Note Added: 0027877
2015-03-17 10:36 nebadon Note Added: 0027878
2015-03-17 10:39 zadark Note Edited: 0027877 View Revisions
2015-03-17 12:14 aiaustin Note Added: 0027881
2015-03-17 12:18 aiaustin Note Edited: 0027881 View Revisions
2015-03-17 12:18 aiaustin Note Edited: 0027881 View Revisions
2015-03-17 12:19 aiaustin Note Edited: 0027881 View Revisions
2015-03-17 12:20 aiaustin Note Edited: 0027881 View Revisions
2015-03-17 12:30 nebadon Note Added: 0027883
2015-03-17 12:58 aiaustin Note Added: 0027884
2015-03-17 13:13 aiaustin Note Edited: 0027881 View Revisions
2015-03-17 13:32 aiaustin Note Added: 0027885
2015-03-17 13:35 aiaustin Note Edited: 0027885 View Revisions
2015-03-17 13:36 aiaustin Note Edited: 0027885 View Revisions
2015-03-17 13:39 aiaustin Note Edited: 0027885 View Revisions
2015-03-17 13:40 aiaustin Note Edited: 0027885 View Revisions
2015-03-17 17:44 smxy Note Added: 0027886
2015-03-17 21:01 smxy Note Deleted: 0027886
2015-03-18 00:54 nebadon Note Added: 0027888
2015-03-18 00:55 nebadon Note Edited: 0027888 View Revisions
2015-03-18 03:19 aiaustin Note Added: 0027891
2015-03-18 03:29 nebadon Note Added: 0027892
2015-03-18 03:30 aiaustin Note Edited: 0027891 View Revisions
2015-03-18 03:39 aiaustin Note Added: 0027893
2015-03-18 03:51 aiaustin Note Edited: 0027891 View Revisions
2015-03-18 08:45 aiaustin Note Added: 0027894
2015-03-18 08:55 smxy Note Added: 0027895
2015-03-18 09:30 nebadon Note Added: 0027896
2015-03-18 15:17 aiaustin Note Added: 0027898
2015-03-18 15:19 aiaustin Note Edited: 0027898 View Revisions
2015-03-18 15:19 aiaustin Note Edited: 0027898 View Revisions
2015-03-19 03:28 aiaustin Note Added: 0027899
2015-03-19 03:28 aiaustin File Added: 2015-03-19-grey-crash-test-1.txt
2015-03-19 03:42 aiaustin Note Added: 0027900
2015-03-19 03:42 aiaustin File Added: 2015-03-19-grey-crash-screen-1.jpg
2015-03-19 03:42 aiaustin File Added: 2015-03-19-grey-crash-screen-2.jpg
2015-03-19 04:02 aiaustin Note Edited: 0027900 View Revisions
2015-03-19 04:02 aiaustin Note Edited: 0027900 View Revisions
2015-03-19 04:03 aiaustin Note Edited: 0027900 View Revisions
2015-03-19 04:04 aiaustin Note Edited: 0027900 View Revisions
2015-03-19 04:08 aiaustin Note Edited: 0027900 View Revisions
2015-03-19 04:43 aiaustin Note Added: 0027901
2015-03-19 04:43 aiaustin Note Edited: 0027901 View Revisions
2015-03-19 04:45 nebadon Note Added: 0027902
2015-03-19 06:40 aiaustin Description Updated View Revisions
2015-03-19 06:50 aiaustin Note Added: 0027903
2015-03-19 06:53 aiaustin Note Edited: 0027903 View Revisions
2015-03-20 08:27 aiaustin Summary HG travel shows almost blank arrival region and crashes viewer => HG travel shows almost blank arrival region or grey viewer screen and crashes viewer
2015-03-20 08:27 aiaustin Description Updated View Revisions
2015-03-20 08:38 aiaustin Note Added: 0027906
2015-03-20 08:39 aiaustin Note Edited: 0027906 View Revisions
2015-03-20 08:39 aiaustin Note Edited: 0027906 View Revisions
2015-08-21 01:49 aiaustin Note Edited: 0027906 View Revisions
2015-08-21 02:07 aiaustin Note Added: 0029352
2015-08-21 02:07 aiaustin Note Edited: 0029352 View Revisions
2015-08-22 04:27 aiaustin Note Added: 0029356
2015-08-22 04:27 aiaustin File Added: grid-xloc-yloc-identical-logs.txt


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker